<!-- prettier-ignore-start -->
# Class CustomSuggestions

- [TopLevel.Object](TopLevel.Object.md)
  - [dw.suggest.Suggestions](dw.suggest.Suggestions.md)
    - [dw.suggest.CustomSuggestions](dw.suggest.CustomSuggestions.md)

The custom suggestion container provides access to
merchant provided search phrases
found using the suggested terms as search criteria.


The method [SearchPhraseSuggestions.getSuggestedPhrases()](dw.suggest.SearchPhraseSuggestions.md#getsuggestedphrases) can be used to
get the list of found search phrases. The custom phrases
lookup is being executed in the current site.


Furthermore the list of suggested terms is accessible
through [SearchPhraseSuggestions.getSuggestedTerms()](dw.suggest.SearchPhraseSuggestions.md#getsuggestedterms) method.



## Constructor Summary

This class does not have a constructor, so you cannot create it directly.
## Method Summary

### Methods inherited from class Suggestions

[getSearchPhraseSuggestions](dw.suggest.Suggestions.md#getsearchphrasesuggestions), [getSuggestedPhrases](dw.suggest.Suggestions.md#getsuggestedphrases), [getSuggestedTerms](dw.suggest.Suggestions.md#getsuggestedterms), [hasSuggestedPhrases](dw.suggest.Suggestions.md#hassuggestedphrases), [hasSuggestedTerms](dw.suggest.Suggestions.md#hassuggestedterms), [hasSuggestions](dw.suggest.Suggestions.md#hassuggestions)
### Methods inherited from class Object

[assign](TopLevel.Object.md#assignobject-object), [create](TopLevel.Object.md#createobject), [create](TopLevel.Object.md#createobject-object), [defineProperties](TopLevel.Object.md#definepropertiesobject-object), [defineProperty](TopLevel.Object.md#definepropertyobject-object-object), [entries](TopLevel.Object.md#entriesobject), [freeze](TopLevel.Object.md#freezeobject), [fromEntries](TopLevel.Object.md#fromentriesiterable), [getOwnPropertyDescriptor](TopLevel.Object.md#getownpropertydescriptorobject-object), [getOwnPropertyNames](TopLevel.Object.md#getownpropertynamesobject), [getOwnPropertySymbols](TopLevel.Object.md#getownpropertysymbolsobject), [getPrototypeOf](TopLevel.Object.md#getprototypeofobject), [hasOwnProperty](TopLevel.Object.md#hasownpropertystring), [is](TopLevel.Object.md#isobject-object), [isExtensible](TopLevel.Object.md#isextensibleobject), [isFrozen](TopLevel.Object.md#isfrozenobject), [isPrototypeOf](TopLevel.Object.md#isprototypeofobject), [isSealed](TopLevel.Object.md#issealedobject), [keys](TopLevel.Object.md#keysobject), [preventExtensions](TopLevel.Object.md#preventextensionsobject), [propertyIsEnumerable](TopLevel.Object.md#propertyisenumerablestring), [seal](TopLevel.Object.md#sealobject), [setPrototypeOf](TopLevel.Object.md#setprototypeofobject-object), [toLocaleString](TopLevel.Object.md#tolocalestring), [toString](TopLevel.Object.md#tostring), [valueOf](TopLevel.Object.md#valueof), [values](TopLevel.Object.md#valuesobject)
<!-- prettier-ignore-end -->
